Manage orders - Get offer categories for a customer
Gets all offer categories for a customer.
GET https://api.partnercenter.microsoft.com/v{version}/customers/{customer_id}/offercategories
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
customer_id
|
path | True |
string |
The customer id. |
|
version
|
path | True |
string |
The API version number. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Authorization | True |
string |
Authorization Bearer token |
| ms-correlationid |
string |
Used for tracking requests internally. If a ms-correlationid is not provided, the server will generate a new one for each request |
|
| MS-CV |
string |
Used for tracking requests internally. If a MS-CV is not provided, the server will generate a new one for each request |
|
| ms-requestid |
string |
Used for idempotency of requests. If a ms-requestid is not provided, the server will generate a new one for each request |
|
| Accept | True |
string |
Typically application/json. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request was successful. Returns offer categories in the response body. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Definitions
| Name | Description |
|---|---|
|
Contracts. |
The collection of items associated with this resource collection. |
| Link |
Represents a link resource. |
|
Resource |
Represents a resource attributes resource. |
|
Resource |
Represents a resource collection resource. |
|
Resource |
Represents a resource links resource. |
|
String |
Represents a key value pair resource. |
Contracts.V1.Models.OfferCategory
The collection of items associated with this resource collection.
| Name | Type | Description |
|---|---|---|
| attributes |
Additional attributes associated with the offer category. |
|
| country |
string |
The two-letter country or region code. |
| id |
string |
Unique identifier for the offer category. Value is typically a GUID. |
| links |
Links to related resources. |
|
| locale |
string |
The locale used for this item. |
| name |
string |
The name of this item. |
| rank |
integer (int32) |
The rank for the offer category. |
Link
Represents a link resource.
| Name | Type | Description |
|---|---|---|
| body |
string |
The body for the link. |
| headers |
The collection of headers associated with this link. |
|
| method |
string |
The method for the link. |
| uri |
string |
The URI for the related resource. |
ResourceAttributes
Represents a resource attributes resource.
| Name | Type | Description |
|---|---|---|
| etag |
string |
The entity tag used for concurrency control. |
| objectType |
string |
The object type for the resource attributes. |
ResourceCollection[Contracts.V1.Models.OfferCategory]
Represents a resource collection resource.
| Name | Type | Description |
|---|---|---|
| attributes |
Additional attributes associated with the resource collection. |
|
| items |
The collection of items associated with this resource collection. |
|
| links |
Links to related resources. |
|
| totalCount |
integer (int32) |
The total number of items available in the result set. |
ResourceLinks
Represents a resource links resource.
| Name | Type | Description |
|---|---|---|
| next |
Additional next associated with the resource links. |
|
| previous |
Additional previous associated with the resource links. |
|
| self |
Additional self associated with the resource links. |
StringStringKeyValuePair
Represents a key value pair resource.
| Name | Type | Description |
|---|---|---|
| key |
string |
The key for the key value pair. |
| value |
string |
The value for the key value pair. |